Request
curl https://sandbox.api.lendeasy.ai /v1/customers/$CUSTOMER_ID \
-H "Authorization: Bearer $TOKEN" await fetch(`https://sandbox.api.lendeasy.ai /v1/customers/${customerId}` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/customers/{customer_id}" ,
headers={"Authorization" : f"Bearer {token}" },
)200 400 401 403 404
{
"customerId": "412",
"status": "ACTIVE",
"profile": {
"customerType": "INDIVIDUAL",
"firstName": "Maya",
"lastName": "Chen",
"dateOfBirth": "1991-11-04",
"externalId": "crm-person-81042",
"activationDate": "2026-08-01"
},
"addresses": [
{
"addressId": 311 ,
"addressType": "PRIMARY_RESIDENCE",
"line1": "428 Alder Way",
"city": "Sacramento",
"stateCode": "US-CA",
"postalCode": "95814",
"country": "US",
"isPrimary": true ,
"isSecondary": false ,
"status": "ACTIVE",
"verificationState": "UNVERIFIED",
"deliverabilityStatus": "UNKNOWN"
}
],
"contactPoints": [
{
"contactPointId": 512 ,
"contactType": "EMAIL",
"maskedDisplay": "m•••@example.test",
"isPrimary": true ,
"isSecondary": false ,
"status": "UNVERIFIED",
"deliverabilityStatus": "UNKNOWN"
}
],
"consents": [
{
"consentId": 71 ,
"consentType": "AUTODIALED_CALL",
"status": "GRANTED",
"capturedAt": "2026-08-01T17: 05 :00Z",
"captureMethod": "BORROWER_PORTAL"
}
],
"identifiers": [
{
"identifierId": 66 ,
"identifierType": "SSN",
"maskedDisplay": "•••-••-4821",
"verificationState": "UNVERIFIED",
"status": "ACTIVE"
}
],
"createdAt": "2026-08-01T17: 04 :11Z",
"lastModifiedAt": "2026-09-15T14: 22 :08Z"
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}